<div *ngIf="user">
  <div class="container">
    <div class="card" style="width: auto">
      <div class="card-img-top">
        <img src="assets/images/person.png" alt="..." height="100px" width="auto" />
      </div>
      <div class="card-body">
        <h3 class="card-text">{{ user.firstname }}</h3>
        <h4 class="card-text">{{ user.lastname }}</h4>
        <h4 class="card-text">{{ user.emailaddress }}</h4>
        <h4 class="card-text">{{ user.birthdate }}</h4>
        <h4 class="card-text">{{ user.userGender}}</h4>
      </div>
      <div *ngIf="userLogedIn">
        <a *ngIf="userLogedIn!._id! == user._id!" style="width: 100%;" class="btn btn-primary"
          routerLink="edit">Edit</a>
        <a *ngIf="userLogedIn!._id! == user._id!" style="width: 100%;" class="btn btn-secondary"
          (click)="SeeFollowing()">See the users you are following</a>
        <div *ngIf="usersFollowing">
          <div class="check-div" *ngIf="displayCondition(user._id)">
            <a style="width: 100%;" class="btn btn-primary" aria-disabled="true">
              You already follow this trainer
            </a>
          </div>
          <div class="check-div" *ngIf="userLogedIn!._id! != user._id! && displayCondition(user._id) == false">
            <a style="width: 100%;" class="btn btn-primary" (click)="FollowUser(user._id!)">
              Follow this trainer
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>